### Enumeration

# ECal ClientViewFlags

since: 3.6

#### Declaration

    flags ECal.ClientViewFlags

#### Description [src]

Flags that control the behaviour of an `ECalClientView`.

Available since: 3.6

#### Members

`E_CAL_CLIENT_VIEW_FLAGS_NONE`

  Symbolic value for no flags.

  - Value: `0`
  - Available since: 3.6
`E_CAL_CLIENT_VIEW_FLAGS_NOTIFY_INITIAL`

  If this flag is set then all objects matching the view’s query will be sent as notifications when starting the view, otherwise only future changes will be reported. The default for an `ECalClientView` is `TRUE`.

  - Value: `1`
  - Available since: 3.6